PUT /api/v3/meter/{meterId}/list/bill/customAction

Fires a custom bill action on a meter bill list. Custom bill actions are setup as webhooks

MeterBillListCustomActionV3 Permissions: BillsAndBatches (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
meterId The meter against which all of its bills will have the custom action performed integer (int32) Required

Request Body

ListActionCustom
Property Description Type
webhookId The webhook identifier that represents the custom bill action Required integer (int32)
Example Request Body application/json
{  "webhookId": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

WebhookLogDetailsResponse
Property Description Type
request The request that was sent from the webhook (headers and body) Required (defined) string
response The response that was received from the configured url (headers and body) Required (defined) string
result The HTTP status code that was received from the configured url 0 indicates no response was received from the configured url Required (defined) string
url The URL that the webhook is configured for Required (defined) string
user UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
Example Response application/json
{  "request": "string",  "response": "string",  "result": "string",  "url": "string",  "user": {    "fullName": "string",    "userCode": "string",    "userId": 1
  }
}